Skip to navigation

Update Backup Policy

Updates a backup policy.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project whose backup policy you want to update. You can get your project ID from the API Credentials page in your global management console.

backupPolicyIdstringRequiredformat: "uuid"
ID of the backup policy to update.

Headers

X-Action-Approval-Request-IdstringOptionalformat: "uuid"

ID of an approved action request. Applicable only when the method is protected by an action approval policy and the action request has been approved. 

When used, the current API request must match the original request parameters. The approved action request can be executed only by the original requester.

Request

The request body for updating a policy
namestringRequired
Backup policy display name.
resourceSelectorobjectRequired
backupPlanobjectRequired
enabledbooleanOptionalDefaults to true
Whether the policy is enabled.

Response

Backup policy updated.
backupPolicyobject

Errors

404
Not Found Error